Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class PoolingForwardReasoningSessionFactory<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.PoolingForwardReasoningSessionFactory<F>

Type Parameters:
  `F` -

All Implemented Interfaces:
  Destroyable, ForwardReasoningSessionFactory<F>

    public class PoolingForwardReasoningSessionFactory<F>

extends Object
implements ForwardReasoningSessionFactory<F>, Destroyable

Implements session pooling, uses properties as the key.

Author:
  Pavel Vlasov

Field Summary
`protected KeyedObjectPool` | `pool`

Constructor Summary
`PoolingForwardReasoningSessionFactory(ForwardReasoningSessionFactory<F> master, KeyedObjectPool pool)`

Method Summary
`ForwardReasoningSession<F>` | `createSession(Map<?,?> properties)`
`void` | `destroy()` Closes the pool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pool

    protected KeyedObjectPool pool

Constructor Detail

### PoolingForwardReasoningSessionFactory

    public PoolingForwardReasoningSessionFactory(ForwardReasoningSessionFactory<F> master,
                                                 KeyedObjectPool pool)

Method Detail

### createSession

    public ForwardReasoningSession<F> createSession(Map<?,?> properties)
                                             throws ReasoningException

  Specified by:
    `createSession` in interface `ForwardReasoningSessionFactory<F>`
  Throws:
    `ReasoningException`

### destroy

    public void destroy()
                 throws ConfigurationException

  Closes the pool.

  Specified by:
    `destroy` in interface `Destroyable`
  Throws:
    `ConfigurationException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD